]> arthur.barton.de Git - bup.git/blobdiff - cmd/margin-cmd.py
configure-version: completely handle _version.py
[bup.git] / cmd / margin-cmd.py
index 9b7fd60a18efd24ab1801f32bcf02623be0cd3c1..ac25ed0644a9049d76d259572890ac7262b6e638 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 import sys, struct, math
 from bup import options, git, _helpers
 from bup.helpers import *